function m = calcBioACellAreas( m )
    if isempty( m.secondlayer)
        return;
    end
    numcells = length(m.secondlayer.cells);
    m.secondlayer.cellarea = zeros(1,numcells);
    for ci=1:numcells
        m.secondlayer.cellarea(ci) = polyarea3( ...
            m.secondlayer.cell3dcoords( m.secondlayer.cells(ci).vxs, : ) );
    end
end
